### Function

# Gtk PaperSizenew

#### Declaration [src]

    GtkPaperSize*
    gtk_paper_size_new (
      const char* name
    )

#### Description [src]

Creates a new `GtkPaperSize` object by parsing a PWG 5101.1-2002 paper name.

If `name` is `NULL`, the default paper size is returned, see `gtk_paper_size_get_default()`.

#### Parameters

`name`

  Type: `const char*`

  A paper size name.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkPaperSize`

A new `GtkPaperSize`, use `gtk_paper_size_free()` to free it.

The caller of the function takes ownership of the data, and is responsible for freeing it.